require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module Finman
    module BusinessCase
      # Value object containing attributes of a Business Case entity.
      class BusinessCaseCategories < UU::OS::REST::DTO

        # JSON file with income or expenditure items.
        # @param [UU::OS::REST::BinaryValue]
        # @return [UU::OS::REST::BinaryValue]
        attr_accessor :items

        # Array of transaction type objects representing available transaction types for specified financial transaction side.
        # @param [Object]
        # @return [Array of Hash]
        attr_accessor :transactionTypes



        def items
          attributes[:items]
        end

        def items=(val)
          if val
            attributes[:items] = UU::OS::REST::BinaryValue.new(val, true)
          else
            attributes[:items] = nil
          end
        end

        def transaction_types
          attributes[:transactionTypes]
        end

        def transaction_types=(val)
          attributes[:transactionTypes] = val
        end
      end
    end
  end
end
